/*******************************************************************************
 *
 * class UI.Slider
 *
 ******************************************************************************/


Slider.prototype = new Control();
Slider.prototype.constructor = Slider;

function Slider( jquery_element ) {
  Control.call( this, jquery_element );
}

UI.Slider = Slider;

Slider.add = function( properties ) {
  // Build DOM objects.
  var $control = $(' <input/>');
  $control.addClass('control control-slider');
  // Initialize wrapper.
  var control = new Slider( $control );
  control.update( properties );
  // Set up events.
  UI.add_event( 'change', $control );
  // Attach to document.
  control.attach();
  return control;
}

Slider.prototype.set_type = function() {
    this.control.attr( 'type', "range" );
    this.control.attr( 'min', "0" );
    this.control.attr( 'max', "100" );
    this.control.attr( 'step', "5" );
    this.control.css( 'width', '75' );
	this.control.attr("disabled", false);
    return value;
};

